
Dashboard - Bug #43938

mgr/dashboard: Test failure in test_safe_to_destroy in tasks.mgr.dashboard.test_osd.OsdTest 

01/31/2020 03:14 PM - Stephan Müller

Status: Duplicate % Done: 0%

Priority: High   

Assignee:    

Category: Component - OSDs   

Target version: v15.0.0   

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: Yes Crash signature (v1):  

Severity: 2 - major Crash signature (v2):  

Reviewed:    

Description

There is an API test failure in master not sure where it came from.

2020-01-29 15:05:17,789.789 INFO:__main__:Stopped test: test_safe_to_destroy (tasks.mgr.dashboard.

test_osd.OsdTest) in 1.567141s

2020-01-29 15:05:17,789.789 INFO:__main__:

2020-01-29 15:05:17,790.790 INFO:__main__:========================================================

==============

2020-01-29 15:05:17,790.790 INFO:__main__:FAIL: test_safe_to_destroy (tasks.mgr.dashboard.test_osd

.OsdTest)

2020-01-29 15:05:17,790.790 INFO:__main__:--------------------------------------------------------

--------------

2020-01-29 15:05:17,790.790 INFO:__main__:Traceback (most recent call last):

2020-01-29 15:05:17,790.790 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-dashboa

rd-pr-backend/qa/tasks/mgr/dashboard/test_osd.py", line 113, in test_safe_to_destroy

2020-01-29 15:05:17,790.790 INFO:__main__:    'stored_pgs': [],

2020-01-29 15:05:17,790.790 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-dashboa

rd-pr-backend/qa/tasks/mgr/dashboard/helper.py", line 343, in assertJsonBody

2020-01-29 15:05:17,790.790 INFO:__main__:    self.assertEqual(body, data)

2020-01-29 15:05:17,790.790 INFO:__main__:AssertionError: {u'is_safe_to_destroy': False, u'message

': u'[errno -11] 3 pgs have unknown stat [truncated]... != {'active': [], 'is_safe_to_destroy': Tr

ue, 'stored_pgs': [], 'safe_to_destroy':  [truncated]...

2020-01-29 15:05:17,790.790 INFO:__main__:+ {'active': [],

2020-01-29 15:05:17,791.791 INFO:__main__:- {u'is_safe_to_destroy': False,

2020-01-29 15:05:17,791.791 INFO:__main__:? ^^                      ^^^^

2020-01-29 15:05:17,791.791 INFO:__main__:

2020-01-29 15:05:17,791.791 INFO:__main__:+  'is_safe_to_destroy': True,

2020-01-29 15:05:17,791.791 INFO:__main__:? ^                      ^^^

2020-01-29 15:05:17,791.791 INFO:__main__:

2020-01-29 15:05:17,791.791 INFO:__main__:-  u'message': u'[errno -11] 3 pgs have unknown state; c

annot draw any conclusions'}

2020-01-29 15:05:17,791.791 INFO:__main__:+  'missing_stats': [],

2020-01-29 15:05:17,791.791 INFO:__main__:+  'safe_to_destroy': [13],

2020-01-29 15:05:17,791.791 INFO:__main__:+  'stored_pgs': []}

2020-01-29 15:05:17,791.791 INFO:__main__:

2020-01-29 15:05:17,792.792 INFO:__main__:--------------------------------------------------------

--------------

2020-01-29 15:05:17,792.792 INFO:__main__:Ran 93 tests in 1125.270s

2020-01-29 15:05:17,792.792 INFO:__main__:

2020-01-29 15:05:17,792.792 INFO:__main__:FAILED (failures=1)

2020-01-29 15:05:17,792.792 INFO:__main__:

2020-01-29 15:05:17,792.792 INFO:__main__:========================================================

==============
2020-01-29 15:05:17,792.792 INFO:__main__:FAIL: test_safe_to_destroy (tasks.mgr.dashboard.test_osd

.OsdTest)

2020-01-29 15:05:17,792.792 INFO:__main__:--------------------------------------------------------

--------------

2020-01-29 15:05:17,792.792 INFO:__main__:Traceback (most recent call last):

2020-01-29 15:05:17,792.792 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-dashboa

rd-pr-backend/qa/tasks/mgr/dashboard/test_osd.py", line 113, in test_safe_to_destroy

2020-01-29 15:05:17,793.793 INFO:__main__:    'stored_pgs': [],

2020-01-29 15:05:17,793.793 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-dashboa

rd-pr-backend/qa/tasks/mgr/dashboard/helper.py", line 343, in assertJsonBody

2020-01-29 15:05:17,793.793 INFO:__main__:    self.assertEqual(body, data)

2020-01-29 15:05:17,793.793 INFO:__main__:AssertionError: {u'is_safe_to_destroy': False, u'message

': u'[errno -11] 3 pgs have unknown stat [truncated]... != {'active': [], 'is_safe_to_destroy': Tr

ue, 'stored_pgs': [], 'safe_to_destroy':  [truncated]...

2020-01-29 15:05:17,793.793 INFO:__main__:+ {'active': [],

2020-01-29 15:05:17,793.793 INFO:__main__:- {u'is_safe_to_destroy': False,

2020-01-29 15:05:17,793.793 INFO:__main__:? ^^                      ^^^^

2020-01-29 15:05:17,793.793 INFO:__main__:

2020-01-29 15:05:17,793.793 INFO:__main__:+  'is_safe_to_destroy': True,

2020-01-29 15:05:17,793.793 INFO:__main__:? ^                      ^^^

2020-01-29 15:05:17,793.793 INFO:__main__:

2020-01-29 15:05:17,794.794 INFO:__main__:-  u'message': u'[errno -11] 3 pgs have unknown state; c

annot draw any conclusions'}

2020-01-29 15:05:17,794.794 INFO:__main__:+  'missing_stats': [],

2020-01-29 15:05:17,794.794 INFO:__main__:+  'safe_to_destroy': [13],

2020-01-29 15:05:17,794.794 INFO:__main__:+  'stored_pgs': []}

2020-01-29 15:05:17,794.794 INFO:__main__:

Using guessed paths /home/jenkins-build/build/workspace/ceph-dashboard-pr-backend/build/lib/ ['/ho

me/jenkins-build/build/workspace/ceph-dashboard-pr-backend/qa', '/home/jenkins-build/build/workspa

ce/ceph-dashboard-pr-backend/build/lib/cython_modules/lib.3', '/home/jenkins-build/build/workspace

/ceph-dashboard-pr-backend/src/pybind']

Related issues:

Duplicates Dashboard - Bug #43912: FAIL: test_safe_to_destroy (tasks.mgr.dash... Resolved

History

#1 - 01/31/2020 03:18 PM - Stephan Müller

- Duplicates Bug #43912: FAIL: test_safe_to_destroy (tasks.mgr.dashboard.test_osd.OsdTest) added

#2 - 01/31/2020 03:19 PM - Tatjana Dehler

- Status changed from New to Duplicate

#3 - 04/15/2021 05:29 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 138 to Component - OSDs
